<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.4.0
Cambio: Clase nueva (archivo nuevo)
*/

Class WSSAT{
	
	
	var $wsdlSAT = "https://consultaqr.facturaelectronica.sat.gob.mx/ConsultaCFDIService.svc?wsdl";
	var $expresionImpresa="";  //?re=RFC Emisor&rr=RFC Receptor&tt=Total con 6 decimales&id=UUID
	var $ws_sat;
	var $estadoCFDI;
	var $codigoStatus;
	var $mensaje;
	var $mensajeCompleto;
	var $request;
	var $response;
	
	function verificaCFDI(){
		$this->ws_sat = new nusoap_client($this->wsdlSAT,'wsdl');
		$this->ws_sat->soap_defencoding = 'UTF-8';
		$this->ws_sat->decode_utf8 = false;
		
		$parametros = array("expresionImpresa" => $this->expresionImpresa);
		
		$resultado = $this->ws_sat->call("Consulta",$parametros);
		//echo $this->ws_sat->getError();exit;
		//var_dump($resultado);exit;
		$arrCodigoEstatus = explode("-",$resultado['ConsultaResult']['CodigoEstatus']);
		$this->codigoStatus=str_replace(" ","",$arrCodigoEstatus[0]);
		$this->mensaje=trim(str_replace("602:","",str_replace("601:","",$arrCodigoEstatus[1])));
		$this->mensajeCompleto=$resultado['ConsultaResult']['CodigoEstatus'];
		$this->estadoCFDI=trim($resultado['ConsultaResult']['Estado']);
		$this->request = $this->ws_sat->request;
		$this->response = $this->ws_sat->response;
	}
}

?>